package uk.co.martinpearman.java.android.app;

import java.util.ArrayList;
import java.util.List;

import com.google.android.gms.maps.StreetViewPanoramaView;

import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA.Hide;

@Hide
public class StreetViewPanoramaViewActivity extends Activity {

	private List<StreetViewPanoramaView> mStreetViewPanoramaViews;
	
	public StreetViewPanoramaViewActivity(){
		mStreetViewPanoramaViews=new ArrayList<StreetViewPanoramaView>();
	}
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		for(StreetViewPanoramaView streetViewPanoramaView:mStreetViewPanoramaViews){
			streetViewPanoramaView.onCreate(savedInstanceState);
		}
		super.onCreate(savedInstanceState);
	}

	@Override
	protected void onDestroy() {
		for(StreetViewPanoramaView streetViewPanoramaView:mStreetViewPanoramaViews){
			streetViewPanoramaView.onDestroy();
		}
		super.onDestroy();
	}

	@Override
	public void onLowMemory() {
		for(StreetViewPanoramaView streetViewPanoramaView:mStreetViewPanoramaViews){
			streetViewPanoramaView.onLowMemory();
		}
		super.onLowMemory();
	}

	@Override
	protected void onPause() {
		for(StreetViewPanoramaView streetViewPanoramaView:mStreetViewPanoramaViews){
			streetViewPanoramaView.onPause();
		}
		super.onPause();
	}

	@Override
	protected void onResume() {
		for(StreetViewPanoramaView streetViewPanoramaView:mStreetViewPanoramaViews){
			streetViewPanoramaView.onResume();
		}
		super.onResume();
	}

	@Override
	protected void onSaveInstanceState(Bundle outState) {
		for(StreetViewPanoramaView streetViewPanoramaView:mStreetViewPanoramaViews){
			streetViewPanoramaView.onSaveInstanceState(outState);
		}
		super.onSaveInstanceState(outState);
	}
	
	public synchronized void registerStreetViewPanoramaViewCallbacks(StreetViewPanoramaView streetViewPanoramaView){
		mStreetViewPanoramaViews.add(streetViewPanoramaView);
	}
	
	public synchronized void unregisterStreetViewPanoramaViewCallbacks(StreetViewPanoramaView streetViewPanoramaView){
		mStreetViewPanoramaViews.remove(streetViewPanoramaView);
	}

}
