package uk.co.martinpearman.b4a.android.app;

import anywheresoftware.b4a.AbsObjectWrapper;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.ActivityObject;
import anywheresoftware.b4a.BA.ShortName;

@ActivityObject
@ShortName("StreetViewPanoramaViewActivity")
public class StreetViewPanoramaViewActivity extends AbsObjectWrapper<uk.co.martinpearman.java.android.app.StreetViewPanoramaViewActivity> {

	public void Initialize(BA pBA){
		setObject((uk.co.martinpearman.java.android.app.StreetViewPanoramaViewActivity) pBA.activity);
	}
	
	/**
	 * Registers this Activity as the handler for the lifecycle callbacks of StreetViewPanoramaView1.
	 */
	public void RegisterStreetViewPanoramaViewCallbacks(com.google.android.gms.maps.StreetViewPanoramaView StreetViewPanoramaView1){
		getObject().registerStreetViewPanoramaViewCallbacks(StreetViewPanoramaView1);
	}
	
	/**
	 * Unregisters this Activity as the handler for the lifecycle callbacks of StreetViewPanoramaView1.
	 */
	public void UnregisterStreetViewPanoramaViewCallbacks(com.google.android.gms.maps.StreetViewPanoramaView StreetViewPanoramaView1){
		getObject().unregisterStreetViewPanoramaViewCallbacks(StreetViewPanoramaView1);
	}
}
